VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DeviceGeneratedCommandsFeaturesNVX (Bool32 computeBindingPointSupport_=0)
| DeviceGeneratedCommandsFeaturesNVX (VkDeviceGeneratedCommandsFeaturesNVX const &rhs)
DeviceGeneratedCommandsFeaturesNVX & | operator= (VkDeviceGeneratedCommandsFeaturesNVX const &rhs)
DeviceGeneratedCommandsFeaturesNVX & | setPNext (const void *pNext_)
DeviceGeneratedCommandsFeaturesNVX & | setComputeBindingPointSupport (Bool32 computeBindingPointSupport_)
| operator VkDeviceGeneratedCommandsFeaturesNVX const & () const
| operator VkDeviceGeneratedCommandsFeaturesNVX & ()
bool | operator== (DeviceGeneratedCommandsFeaturesNVX const &rhs) const
bool | operator!= (DeviceGeneratedCommandsFeaturesNVX const &rhs) const

## Data Fields

const void * | pNext = nullptr
Bool32 | computeBindingPointSupport

## Private Attributes

StructureType | sType = StructureType::eDeviceGeneratedCommandsFeaturesNVX

## Detailed Description

Definition at line 12888 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceGeneratedCommandsFeaturesNVX() [1/2]

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::DeviceGeneratedCommandsFeaturesNVX | ( | Bool32 | computeBindingPointSupport_ = `0` | ) |

inline

Definition at line 12890 of file vulkan.hpp.

: computeBindingPointSupport( computeBindingPointSupport_ )
{
}

## DeviceGeneratedCommandsFeaturesNVX() [2/2]

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::DeviceGeneratedCommandsFeaturesNVX | ( | VkDeviceGeneratedCommandsFeaturesNVX const & | rhs | ) |

inline

Definition at line 12895 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGeneratedCommandsFeaturesNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceGeneratedCommandsFeaturesNVX &()

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::operator VkDeviceGeneratedCommandsFeaturesNVX & | ( |  | ) |

inline

Definition at line 12922 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceGeneratedCommandsFeaturesNVX*>(this);
}

## operator VkDeviceGeneratedCommandsFeaturesNVX const &()

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::operator VkDeviceGeneratedCommandsFeaturesNVX const & | ( |  | ) | const

inline

Definition at line 12917 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceGeneratedCommandsFeaturesNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::operator!= | ( | DeviceGeneratedCommandsFeaturesNVX const & | rhs | ) | const

inline

Definition at line 12934 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceGeneratedCommandsFeaturesNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::operator= | ( | VkDeviceGeneratedCommandsFeaturesNVX const & | rhs | ) |

inline

Definition at line 12900 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGeneratedCommandsFeaturesNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::operator== | ( | DeviceGeneratedCommandsFeaturesNVX const & | rhs | ) | const

inline

Definition at line 12927 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( computeBindingPointSupport == rhs.computeBindingPointSupport );
}

References computeBindingPointSupport, pNext, and sType.

Referenced by operator!=().

## setComputeBindingPointSupport()

DeviceGeneratedCommandsFeaturesNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::setComputeBindingPointSupport | ( | Bool32 | computeBindingPointSupport_ | ) |

inline

Definition at line 12911 of file vulkan.hpp.

{
computeBindingPointSupport = computeBindingPointSupport_;
return *this;
}

References computeBindingPointSupport.

## setPNext()

DeviceGeneratedCommandsFeaturesNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 12905 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## computeBindingPointSupport

Bool32 VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::computeBindingPointSupport

Definition at line 12944 of file vulkan.hpp.

Referenced by operator==(), and setComputeBindingPointSupport().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::pNext = nullptr

Definition at line 12943 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::sType = StructureType::eDeviceGeneratedCommandsFeaturesNVX

private

Definition at line 12940 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::operator==
bool operator==(DeviceGeneratedCommandsFeaturesNVX const &rhs) const
Definition: vulkan.hpp:12927
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkDeviceGeneratedCommandsFeaturesNVX
Definition: vulkan_core.h:6808
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::DeviceGeneratedCommandsFeaturesNVX
DeviceGeneratedCommandsFeaturesNVX(Bool32 computeBindingPointSupport_=0)
Definition: vulkan.hpp:12890
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::pNext
const void * pNext
Definition: vulkan.hpp:12943
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::sType
StructureType sType
Definition: vulkan.hpp:12940
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsFeaturesNVX::computeBindingPointSupport
Bool32 computeBindingPointSupport
Definition: vulkan.hpp:12944